# Enum Class XSProcessorRequestType.Stylesheet

java.lang.Object
java.lang.Enum<XSProcessorRequestType.Stylesheet>
com.io7m.xstructural.api.XSProcessorRequestType.Stylesheet

All Implemented Interfaces:
  `Serializable, Comparable<XSProcessorRequestType.Stylesheet>, Constable`

Enclosing interface:
  `XSProcessorRequestType`

public static enum XSProcessorRequestType.Stylesheet extends Enum<XSProcessorRequestType.Stylesheet>
The stylesheet that will be used during processing.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EPUB`
  The EPUB stylesheet.
  `MULTIPLE_FILE`
  The multi-file stylesheet.
  `MULTIPLE_FILE_INDEX_ONLY`
  The multiple file index stylesheet.
  `SINGLE_FILE`
  The single-file stylesheet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static XSProcessorRequestType.Stylesheet`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static XSProcessorRequestType.Stylesheet[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SINGLE_FILE

    public static final XSProcessorRequestType.Stylesheet SINGLE_FILE
    The single-file stylesheet. Produces a single output file containing the entire document.

  - ### MULTIPLE_FILE

    public static final XSProcessorRequestType.Stylesheet MULTIPLE_FILE
    The multi-file stylesheet. Produces a set of output files, one file per section.

  - ### EPUB

    public static final XSProcessorRequestType.Stylesheet EPUB
    The EPUB stylesheet. Produces a set of output files suitable for use in an EPUB file.

  - ### MULTIPLE_FILE_INDEX_ONLY

    public static final XSProcessorRequestType.Stylesheet MULTIPLE_FILE_INDEX_ONLY

    The multiple file index stylesheet. Produces a single index file that contains references to elements as they would appear had they been handled by the `MULTIPLE_FILE` stylesheet.

    Essentially, the index answers the question "Given an element in my source document, in which file does that element appear in the output document?".

    Since:
      1.9.0

- ## Method Details

  - ### values

    public static XSProcessorRequestType.Stylesheet[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static XSProcessorRequestType.Stylesheet valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null